JvmTestOperationDescriptor (Gradle API 9.5.1)
Description: declaration: package: org.gradle.tooling.events.test, interface: JvmTestOperationDescriptor

Package org.gradle.tooling.events.test

# Interface JvmTestOperationDescriptor

All Superinterfaces:
  `OperationDescriptor`, `TestOperationDescriptor`

public interface JvmTestOperationDescriptor extends TestOperationDescriptor
Describes a test that runs on the JVM and for which an event has occurred. At least a suite name, class name, or method name is available for each JVM test.

Since:
  2.4

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@Nullable String`
  `getClassName()`
  Returns the name of the test class, if any.
  `JvmTestKind`
  `getJvmTestKind()`
  Returns what kind of test this is.
  `@Nullable String`
  `getMethodName()`
  Returns the name of the test method, if any.
  `TestSource`
  `getSource()`
  Returns information about the source of the test.
  `@Nullable String`
  `getSuiteName()`
  Returns the name of the test suite, if any.

  ### Methods inherited from interface org.gradle.tooling.events.OperationDescriptor

  `getDisplayName, getName, getParent`

  ### Methods inherited from interface org.gradle.tooling.events.test.TestOperationDescriptor

  `getTestDisplayName`

- ## Method Details

  - ### getJvmTestKind

    JvmTestKind getJvmTestKind()
    Returns what kind of test this is.
    Returns:
      The test kind.

  - ### getSuiteName

    @Nullable String getSuiteName()
    Returns the name of the test suite, if any.
    Returns:
      The name of the test suite.

  - ### getClassName

    @Nullable String getClassName()
    Returns the name of the test class, if any.
    Returns:
      The name of the test class.

  - ### getMethodName

    @Nullable String getMethodName()
    Returns the name of the test method, if any.
    Returns:
      The name of the test method.

  - ### getSource

    @Incubating TestSource getSource()
    Returns information about the source of the test.

    The known source types are modeled as TestSource subtypes.

    If the test execution explicitly declares that no test source information is available then the method returns `NoSource`. If Gradle fails to determine the test source information, the method returns `OtherSource`.

    For older Gradle versions, the implementation will attempt to provide a valid result based on the state of the source object using `NoSource` as a default value.

    Returns:
      the test source
    Since:
      9.4.0